Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.algorithms.optimization
Class NegativeFunction

    java.lang.Object
      de.jstacs.algorithms.optimization.NegativeFunction

All Implemented Interfaces:
  Function

    public class NegativeFunction

extends Object
implements Function

The Function -f for a given function f.

Author:
  Jens Keilwagen

Constructor Summary
`NegativeFunction(Function f)`

Method Summary
`double` | `evaluateFunction(double[] x)` Evaluates the function at a certain vector (in mathematical sense) `x`
`int` | `getDimensionOfScope()` Returns the dimension of the scope of the function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NegativeFunction

    public NegativeFunction(Function f)

Parameters:
  `f` - the function

Method Detail

### evaluateFunction

    public double evaluateFunction(double[] x)
                            throws DimensionException,
                                   EvaluationException

  Description copied from interface: `Function`
  Evaluates the function at a certain vector (in mathematical sense) `x`

  Specified by:
    `evaluateFunction` in interface `Function`
  Parameters:
    `x` - the current vector
  Returns:
    the elvaluation of the function
  Throws:
    `DimensionException` - if dim(x) != n, with f: R^n -> R
    `EvaluationException` - if there was a mistake in evaluating the function

### getDimensionOfScope

    public int getDimensionOfScope()

  Description copied from interface: `Function`
  Returns the dimension of the scope of the function.

  Specified by:
    `getDimensionOfScope` in interface `Function`
  Returns:
    dimension of the scope; n, with f: R^n -> R

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD